package com.steering.Demand.entity;

/**
 * Created by 朱少波 on 2020/4/17.
 */

/**
 * 数据库表TMS_CAR_BASE所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2020-04-17
 */
@SuppressWarnings("serial")
public class TmsCarBaseEntity implements java.io.Serializable, iRule {
    /**
     * 车牌号
     */
    private String carLicense = "";
    /**
     * 车辆类型代码A01017
     */
    private String carTypeCode = "";
    /**
     * 车辆类型
     */
    private String carTypeDesc = "";
    /**
     * 车辆状态代码A01024(运营/维修/保养)
     */
    private String carStatusCode = "";
    /**
     * 车辆状态
     */
    private String carStatusDesc = "";
    /**
     * 车辆运营状态代码A01048(空闲/待运/运输中) 待运 运输中 )
     */
    private String transStatusCode = "";
    /**
     * 车辆运营状态
     */
    private String transStatusDesc = "";
    /**
     * 运输计划号(运输区分代码2位+YYYYMMDD+5位流水)
     */
    private String plnNo = "";
    /**
     * 承运人代码
     */
    private String carrierCode = "";
    /**
     * 承运人名称
     */
    private String carrierName = "";
    /**
     * 车辆属性代码(外协/自有)A01018
     */
    private String carPropertyCode = "";
    /**
     * 车辆属性
     */
    private String carPropertyDesc = "";
    /**
     * 可载长度上限(M)
     */
    private String carLenVal = "";
    /**
     * 可载宽度上限(M)
     */
    private String carWidVal = "";
    /**
     * 可载高度上限(M)
     */
    private String carHigVal = "";
    /**
     * 核载重量上限(T)
     */
    private String carWtVal = "";
    /**
     * 车辆动态画像图路径
     */
    private String carMapPath = "";
    /**
     * 发动机号码
     */
    private String engineNo = "";
    /**
     * 车架号码
     */
    private String frameNo = "";
    /**
     * 购买日期
     */
    private String purchaseDate = "";
    /**
     * 购买总价
     */
    private String purchasePrice = "";
    /**
     * 油品代码
     */
    private String oilCode = "";
    /**
     * 油品
     */
    private String oilDesc = "";
    /**
     * 油耗(升/100公里)
     */
    private String fuelConsumption = "";
    /**
     * 折旧(元/100公里)
     */
    private String depreciationPrice = "";
    /**
     * 保养周期(5000公里)
     */
    private String maintenanceLegendCycle = "";
    /**
     * 保养周期(480日)
     */
    private String maintenanceDateCycle = "";
    /**
     * 轮胎个数
     */
    private String tyreNm = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 创建人ID
     */
    private String createUserid = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人ID
     */
    private String updateUserid = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 废除人ID
     */
    private String deleteUserid = "";
    /**
     * 废除人
     */
    private String deleteName = "";
    /**
     * 废除时间
     */
    private String deleteTime = "";
    /**
     * 车辆自编号
     */
    private String carNo = "";
    /**
     * 排量
     */
    private String carDisplacement = "";
    /**
     * 行驶证号
     */
    private String drivingNo = "";
    /**
     * 车辆品牌代码A01062
     */
    private String carBrandCode = "";
    /**
     * 车辆品牌
     */
    private String carBrandName = "";
    /**
     * 检验到期预警时间(天)
     */
    private String tipsDate = "";
    /**
     * 检验日期
     */
    private String examinationDate = "";
    /**
     * 下次检验日期
     */
    private String nextExaminationDate = "";
    /**
     * 区域
     */
    private String belongArea = "";

    /**
     * 车牌号
     * @return value
     */
    public String getCarLicense() {
        return carLicense;
    }

    /**
     * 车牌号
     * @param carLicense value
     */
    public void setCarLicense(String carLicense) {
        this.carLicense = carLicense;
    }

    /**
     * 车辆类型代码A01017
     * @return value
     */
    public String getCarTypeCode() {
        return carTypeCode;
    }

    /**
     * 车辆类型代码A01017
     * @param carTypeCode value
     */
    public void setCarTypeCode(String carTypeCode) {
        this.carTypeCode = carTypeCode;
    }

    /**
     * 车辆类型
     * @return value
     */
    public String getCarTypeDesc() {
        return carTypeDesc;
    }

    /**
     * 车辆类型
     * @param carTypeDesc value
     */
    public void setCarTypeDesc(String carTypeDesc) {
        this.carTypeDesc = carTypeDesc;
    }

    /**
     * 车辆状态代码A01024(运营/维修/保养)
     * @return value
     */
    public String getCarStatusCode() {
        return carStatusCode;
    }

    /**
     * 车辆状态代码A01024(运营/维修/保养)
     * @param carStatusCode value
     */
    public void setCarStatusCode(String carStatusCode) {
        this.carStatusCode = carStatusCode;
    }

    /**
     * 车辆状态
     * @return value
     */
    public String getCarStatusDesc() {
        return carStatusDesc;
    }

    /**
     * 车辆状态
     * @param carStatusDesc value
     */
    public void setCarStatusDesc(String carStatusDesc) {
        this.carStatusDesc = carStatusDesc;
    }

    /**
     * 车辆运营状态代码A01048(空闲/待运/运输中) 待运 运输中 )
     * @return value
     */
    public String getTransStatusCode() {
        return transStatusCode;
    }

    /**
     * 车辆运营状态代码A01048(空闲/待运/运输中) 待运 运输中 )
     * @param transStatusCode value
     */
    public void setTransStatusCode(String transStatusCode) {
        this.transStatusCode = transStatusCode;
    }

    /**
     * 车辆运营状态
     * @return value
     */
    public String getTransStatusDesc() {
        return transStatusDesc;
    }

    /**
     * 车辆运营状态
     * @param transStatusDesc value
     */
    public void setTransStatusDesc(String transStatusDesc) {
        this.transStatusDesc = transStatusDesc;
    }

    /**
     * 运输计划号(运输区分代码2位+YYYYMMDD+5位流水)
     * @return value
     */
    public String getPlnNo() {
        return plnNo;
    }

    /**
     * 运输计划号(运输区分代码2位+YYYYMMDD+5位流水)
     * @param plnNo value
     */
    public void setPlnNo(String plnNo) {
        this.plnNo = plnNo;
    }

    /**
     * 承运人代码
     * @return value
     */
    public String getCarrierCode() {
        return carrierCode;
    }

    /**
     * 承运人代码
     * @param carrierCode value
     */
    public void setCarrierCode(String carrierCode) {
        this.carrierCode = carrierCode;
    }

    /**
     * 承运人名称
     * @return value
     */
    public String getCarrierName() {
        return carrierName;
    }

    /**
     * 承运人名称
     * @param carrierName value
     */
    public void setCarrierName(String carrierName) {
        this.carrierName = carrierName;
    }

    /**
     * 车辆属性代码(外协/自有)A01018
     * @return value
     */
    public String getCarPropertyCode() {
        return carPropertyCode;
    }

    /**
     * 车辆属性代码(外协/自有)A01018
     * @param carPropertyCode value
     */
    public void setCarPropertyCode(String carPropertyCode) {
        this.carPropertyCode = carPropertyCode;
    }

    /**
     * 车辆属性
     * @return value
     */
    public String getCarPropertyDesc() {
        return carPropertyDesc;
    }

    /**
     * 车辆属性
     * @param carPropertyDesc value
     */
    public void setCarPropertyDesc(String carPropertyDesc) {
        this.carPropertyDesc = carPropertyDesc;
    }

    /**
     * 可载长度上限(M)
     * @return value
     */
    public String getCarLenVal() {
        return carLenVal;
    }

    /**
     * 可载长度上限(M)
     * @param carLenVal value
     */
    public void setCarLenVal(String carLenVal) {
        this.carLenVal = carLenVal;
    }

    /**
     * 可载宽度上限(M)
     * @return value
     */
    public String getCarWidVal() {
        return carWidVal;
    }

    /**
     * 可载宽度上限(M)
     * @param carWidVal value
     */
    public void setCarWidVal(String carWidVal) {
        this.carWidVal = carWidVal;
    }

    /**
     * 可载高度上限(M)
     * @return value
     */
    public String getCarHigVal() {
        return carHigVal;
    }

    /**
     * 可载高度上限(M)
     * @param carHigVal value
     */
    public void setCarHigVal(String carHigVal) {
        this.carHigVal = carHigVal;
    }

    /**
     * 核载重量上限(T)
     * @return value
     */
    public String getCarWtVal() {
        return carWtVal;
    }

    /**
     * 核载重量上限(T)
     * @param carWtVal value
     */
    public void setCarWtVal(String carWtVal) {
        this.carWtVal = carWtVal;
    }

    /**
     * 车辆动态画像图路径
     * @return value
     */
    public String getCarMapPath() {
        return carMapPath;
    }

    /**
     * 车辆动态画像图路径
     * @param carMapPath value
     */
    public void setCarMapPath(String carMapPath) {
        this.carMapPath = carMapPath;
    }

    /**
     * 发动机号码
     * @return value
     */
    public String getEngineNo() {
        return engineNo;
    }

    /**
     * 发动机号码
     * @param engineNo value
     */
    public void setEngineNo(String engineNo) {
        this.engineNo = engineNo;
    }

    /**
     * 车架号码
     * @return value
     */
    public String getFrameNo() {
        return frameNo;
    }

    /**
     * 车架号码
     * @param frameNo value
     */
    public void setFrameNo(String frameNo) {
        this.frameNo = frameNo;
    }

    /**
     * 购买日期
     * @return value
     */
    public String getPurchaseDate() {
        return purchaseDate;
    }

    /**
     * 购买日期
     * @param purchaseDate value
     */
    public void setPurchaseDate(String purchaseDate) {
        this.purchaseDate = purchaseDate;
    }

    /**
     * 购买总价
     * @return value
     */
    public String getPurchasePrice() {
        return purchasePrice;
    }

    /**
     * 购买总价
     * @param purchasePrice value
     */
    public void setPurchasePrice(String purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    /**
     * 油品代码
     * @return value
     */
    public String getOilCode() {
        return oilCode;
    }

    /**
     * 油品代码
     * @param oilCode value
     */
    public void setOilCode(String oilCode) {
        this.oilCode = oilCode;
    }

    /**
     * 油品
     * @return value
     */
    public String getOilDesc() {
        return oilDesc;
    }

    /**
     * 油品
     * @param oilDesc value
     */
    public void setOilDesc(String oilDesc) {
        this.oilDesc = oilDesc;
    }

    /**
     * 油耗(升/100公里)
     * @return value
     */
    public String getFuelConsumption() {
        return fuelConsumption;
    }

    /**
     * 油耗(升/100公里)
     * @param fuelConsumption value
     */
    public void setFuelConsumption(String fuelConsumption) {
        this.fuelConsumption = fuelConsumption;
    }

    /**
     * 折旧(元/100公里)
     * @return value
     */
    public String getDepreciationPrice() {
        return depreciationPrice;
    }

    /**
     * 折旧(元/100公里)
     * @param depreciationPrice value
     */
    public void setDepreciationPrice(String depreciationPrice) {
        this.depreciationPrice = depreciationPrice;
    }

    /**
     * 保养周期(5000公里)
     * @return value
     */
    public String getMaintenanceLegendCycle() {
        return maintenanceLegendCycle;
    }

    /**
     * 保养周期(5000公里)
     * @param maintenanceLegendCycle value
     */
    public void setMaintenanceLegendCycle(String maintenanceLegendCycle) {
        this.maintenanceLegendCycle = maintenanceLegendCycle;
    }

    /**
     * 保养周期(480日)
     * @return value
     */
    public String getMaintenanceDateCycle() {
        return maintenanceDateCycle;
    }

    /**
     * 保养周期(480日)
     * @param maintenanceDateCycle value
     */
    public void setMaintenanceDateCycle(String maintenanceDateCycle) {
        this.maintenanceDateCycle = maintenanceDateCycle;
    }

    /**
     * 轮胎个数
     * @return value
     */
    public String getTyreNm() {
        return tyreNm;
    }

    /**
     * 轮胎个数
     * @param tyreNm value
     */
    public void setTyreNm(String tyreNm) {
        this.tyreNm = tyreNm;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建人ID
     * @return value
     */
    public String getCreateUserid() {
        return createUserid;
    }

    /**
     * 创建人ID
     * @param createUserid value
     */
    public void setCreateUserid(String createUserid) {
        this.createUserid = createUserid;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人ID
     * @return value
     */
    public String getUpdateUserid() {
        return updateUserid;
    }

    /**
     * 修改人ID
     * @param updateUserid value
     */
    public void setUpdateUserid(String updateUserid) {
        this.updateUserid = updateUserid;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 废除人ID
     * @return value
     */
    public String getDeleteUserid() {
        return deleteUserid;
    }

    /**
     * 废除人ID
     * @param deleteUserid value
     */
    public void setDeleteUserid(String deleteUserid) {
        this.deleteUserid = deleteUserid;
    }

    /**
     * 废除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 废除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 废除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 废除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 车辆自编号
     * @return value
     */
    public String getCarNo() {
        return carNo;
    }

    /**
     * 车辆自编号
     * @param carNo value
     */
    public void setCarNo(String carNo) {
        this.carNo = carNo;
    }

    /**
     * 排量
     * @return value
     */
    public String getCarDisplacement() {
        return carDisplacement;
    }

    /**
     * 排量
     * @param carDisplacement value
     */
    public void setCarDisplacement(String carDisplacement) {
        this.carDisplacement = carDisplacement;
    }

    /**
     * 行驶证号
     * @return value
     */
    public String getDrivingNo() {
        return drivingNo;
    }

    /**
     * 行驶证号
     * @param drivingNo value
     */
    public void setDrivingNo(String drivingNo) {
        this.drivingNo = drivingNo;
    }

    /**
     * 车辆品牌代码A01062
     * @return value
     */
    public String getCarBrandCode() {
        return carBrandCode;
    }

    /**
     * 车辆品牌代码A01062
     * @param carBrandCode value
     */
    public void setCarBrandCode(String carBrandCode) {
        this.carBrandCode = carBrandCode;
    }

    /**
     * 车辆品牌
     * @return value
     */
    public String getCarBrandName() {
        return carBrandName;
    }

    /**
     * 车辆品牌
     * @param carBrandName value
     */
    public void setCarBrandName(String carBrandName) {
        this.carBrandName = carBrandName;
    }

    /**
     * 检验到期预警时间(天)
     * @return value
     */
    public String getTipsDate() {
        return tipsDate;
    }

    /**
     * 检验到期预警时间(天)
     * @param tipsDate value
     */
    public void setTipsDate(String tipsDate) {
        this.tipsDate = tipsDate;
    }

    /**
     * 检验日期
     * @return value
     */
    public String getExaminationDate() {
        return examinationDate;
    }

    /**
     * 检验日期
     * @param examinationDate value
     */
    public void setExaminationDate(String examinationDate) {
        this.examinationDate = examinationDate;
    }

    /**
     * 下次检验日期
     * @return value
     */
    public String getNextExaminationDate() {
        return nextExaminationDate;
    }

    /**
     * 下次检验日期
     * @param nextExaminationDate value
     */
    public void setNextExaminationDate(String nextExaminationDate) {
        this.nextExaminationDate = nextExaminationDate;
    }

    /**
     * 区域
     * @return value
     */
    public String getBelongArea() {
        return belongArea;
    }

    /**
     * 区域
     * @param belongArea value
     */
    public void setBelongArea(String belongArea) {
        this.belongArea = belongArea;
    }


    private String carDemandQty;

    public String getCarDemandQty() {
        return carDemandQty;
    }

    public void setCarDemandQty(String carDemandQty) {
        this.carDemandQty = carDemandQty;
    }

    public String getCarDemandWt() {
        return carDemandWt;
    }


    public void setCarDemandWt(String carDemandWt) {
        this.carDemandWt = carDemandWt;
    }

    private String carDemandWt;


    public String getDemandListStr() {
        return demandListStr;
    }

    public void setDemandListStr(String demandListStr) {
        this.demandListStr = demandListStr;
    }

    private String demandListStr;


    public String getRuleId() {
        return "CAR";
    }
}